import ctypes
from .enums import NormalBlinkSelection
import Grifo_E_1553lib.data_types.enum_map as em

em.ENUM_MAP.update({
    "normal_blink_selector" : NormalBlinkSelection
})

class ASCXSelector(ctypes.LittleEndianStructure):
    _pack_ = 1
    _fields_ =[
        ("spare", ctypes.c_uint16, 6),
        ("normal_blink_selector", ctypes.c_uint16, 1),
        ("x_displ_coord_ASC", ctypes.c_uint16, 9)
    ]    

class ASCY(ctypes.LittleEndianStructure):
    _pack_ = 1
    _fields_ =[
        ("spare", ctypes.c_uint16, 7),
        ("y_displ_coord_ASC", ctypes.c_uint16, 9)
    ]    